/*
 * console.h
 *
 * Copyright 2002, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 */


#ifndef console_h
#define console_h


#include<types.h>
#include<proc.h>


#ifndef ASM_FILE


enum{
	KEYBOARD_COMMAND_REG=0x64,	/* Command IO register */
	KEYBOARD_STAT_REG=0x64,		/* Status IO register */
	KEYBOARD_OUTPUT_REG=0x60	/* Data IO register */
};


extern int registConsole();
extern int initConsole();
extern void initKeyboard();
extern int writeConsole(void*,size_t,size_t);
extern int cnsoleSetTopProc();

#ifdef DEBUG
extern void displayTop(int, const char*, int);
#endif


#endif


#endif
